<?php

namespace Treewec\FileSystem;

/**
 * Test class for FileType.
 * Generated by PHPUnit on 2012-03-25 at 16:40:38.
 * @group filesystem
 */
class FileTypeTest extends \PHPUnit_Framework_TestCase {

    public function testGetType() {
        $this->assertFolder(TREEWEC_CLASS_ROOT);
        $this->assertFolder(__DIR__ . '/');
        $this->assertFolder('');
        $this->assertFile(__DIR__);
        $this->assertFile(__FILE__);

        $this->assertFile(array());
        $this->assertFile(new \Exception());
    }

    private function assertFolder($path) {
        parent::assertEquals(FileType::FOLDER, FileType::getType($path));
    }

    private function assertFile($path) {
        parent::assertEquals(FileType::FILE, FileType::getType($path));
    }

}

?>